use axum::Json;
use serde::Serialize;

pub mod channel;
pub mod comment;
pub mod middleware;
pub mod video;

#[derive(Debug, Serialize)]
pub struct IndexResponse {
    app_name: String,
    version: String,
}

/// Get general information from the current Almond instance
pub async fn index() -> Json<IndexResponse> {
    let app_name = "Almond".into();
    let version = env!("CARGO_PKG_VERSION").into();

    Json(IndexResponse { app_name, version })
}
