pub trait ToUnquotedString {
    fn to_unquoted_string(&self) -> String;
}

impl ToUnquotedString for serde_json::Value {
    fn to_unquoted_string(&self) -> String {
        self.to_string()
            .strip_prefix('"')
            .unwrap_or_default()
            .strip_suffix('"')
            .unwrap_or_default()
            .into()
    }
}
